![GitHub release](https://raw.githubusercontent.com/OpenLauncherTeam/openlauncher-metadata-latest/master/en-US/featureGraphic.png)

[![GitHub release](https://img.shields.io/github/tag/OpenLauncherTeam/openlauncher.svg)](https://github.com/OpenLauncherTeam/openlauncher/releases)
[![CircleCI](https://circleci.com/gh/OpenLauncherTeam/openlauncher.svg?style=shield)](https://circleci.com/gh/OpenLauncherTeam/openlauncher)
[![Translate - with Stringlate](https://img.shields.io/badge/stringlate-translate-green.svg)](https://lonamiwebs.github.io/stringlate/translate?git=https%3A%2F%2Fgithub.com%2FOpenLauncherTeam%2Fopenlauncher.git&name=OpenLauncher&web=https%3A%2F%2Fgithub.com%2FOpenLauncherTeam%2Fopenlauncher)

# OpenLauncher
<img src="/app/src/main/ic_launcher-web.png" align="left" width="100" hspace="10" vspace="10">
This an open source Android launcher project, started from scratch. We aim to create a powerful and community driven launcher for Android.
Please go to the <a href="https://github.com/Benny-Kok/OpenLauncher/wiki">OpenLauncher Wiki</a> for more information.

<div style="display:flex;" >
<a href="https://f-droid.org/repository/browse/?fdid=com.benny.openlauncher">
    <img src="https://f-droid.org/badge/get-it-on.png" alt="Get it on F-Droid" height="80">
</a>
<a href="https://play.google.com/store/apps/details?id=com.benny.openlauncher">
    <img alt="Get it on Google Play" height="80" src="https://play.google.com/intl/en_us/badges/images/generic/en_badge_web_generic.png" />
</a>
</div></br>


## Description

#### Currently supported
Paged desktop || Dock || Double tap to sleep || Dock || 
Scrollable background || Drag and drop || Paged app drawer || 
Vertical app drawer || Hide apps || Search bar || Icon packs || 
Widget || Gesture || AIO Search Bar || Gesture support

#### ToDo List
Desktop clock customization ||  More actions for the minibar (later to support expandable minibar) ||
Support landscape orientation || Code refactoring || Add more options in the settings ||
Better support for gestures || Item customization on the desktop || Scrollable dock

#### Status
If your instance is crashing frequently please make sure you update to the latest version (from Github or F-Droid, not the Play store) and reset the app data before creating an issue. We made a lot of changes that broke compatibility in the older versions.

Currently there are a lot of issues and we are all working on this app in our spare time so please be patient if your issue is not immediately resolved. We are going to review the structure of the launcher since I wrote this app a long time ago so we might break functionality at times. Thanks for your support.


## Contributions
The project is always open for contributions and accepts pull requests.
You may use Android Studios _auto reformat feature_ before sending a PR.

Translations can be contributed on GitHub. You can use Stringlate ([![Translate - with Stringlate](https://img.shields.io/badge/stringlate-translate-green.svg)](https://lonamiwebs.github.io/stringlate/translate?git=https%3A%2F%2Fgithub.com%2FOpenLauncherTeam%2Fopenlauncher.git&name=OpenLauncher&web=https%3A%2F%2Fgithub.com%2FOpenLauncherTeam%2Fopenlauncher)) to translate the project directly on your Android phone. It allows you to export as E-Mail attachement and to post on GitHub.


#### Resources
* Project: [Changelog](/CHANGELOG.md) | [Issues level/beginner](https://github.com/OpenLauncherTeam/openlauncher/issues?q=is%3Aissue+is%3Aopen+label%3Alevel%2Fbeginner) | [License](/LICENSE)
* App on F-Droid: [Metadata](https://gitlab.com/fdroid/fdroiddata/blob/master/metadata/com.benny.openlauncher.txt) | [Page](https://f-droid.org/packages/com.benny.openlauncher/) | [Wiki](https://f-droid.org/wiki/page/com.benny.openlauncher) | [Build log](https://f-droid.org/wiki/page/com.benny.openlauncher/lastbuild)
 
### Project team
[bennykok](https://github.com/BennyKok) | [dkanada](https://github.com/dkanada) | [gsantner](https://github.com/gsantner)

We would be happy if you want to be part of this game.

**Donation**  
You can support us and buy us some coffee.  
[bennykok](https://www.paypal.me/BennyKok) or
<noscript><a href="https://liberapay.com/BennyKok/donate"><img alt="Donate using Liberapay" src="https://liberapay.com/assets/widgets/donate.svg"></a></noscript> | [gsantner](https://gsantner.github.io/#donate)
 
## Licensing
The app is licensed Apache 2.0. 

## Screenshots
<div style="display:flex;" >
	<img src="https://raw.githubusercontent.com/OpenLauncherTeam/openlauncher-metadata-latest/master/en-US/phoneScreenshots/01.png" width="24%" >
	<img src="https://raw.githubusercontent.com/OpenLauncherTeam/openlauncher-metadata-latest/master/en-US/phoneScreenshots/02.png" width="24%" style="margin-left:10px;" >
	<img src="https://raw.githubusercontent.com/OpenLauncherTeam/openlauncher-metadata-latest/master/en-US/phoneScreenshots/03.png" width="24%" style="margin-left:10px;" >
	<img src="https://raw.githubusercontent.com/OpenLauncherTeam/openlauncher-metadata-latest/master/en-US/phoneScreenshots/04.png" width="24%" style="margin-left:10px;" >
</div>
<div style="display:flex;" >
	<img src="https://raw.githubusercontent.com/OpenLauncherTeam/openlauncher-metadata-latest/master/en-US/phoneScreenshots/05.png" width="24%" >
	<img src="https://raw.githubusercontent.com/OpenLauncherTeam/openlauncher-metadata-latest/master/en-US/phoneScreenshots/06.png" width="24%" style="margin-left:10px;" >
</div>

<!--
### Notice
-->
